Loading...
Searching...
No Matches
ClpDisasterHandler Class Referenceabstract

Base class for Clp disaster handling. More...

`#include <ClpEventHandler.hpp>`

Inheritance diagram for ClpDisasterHandler:
[legend]
Collaboration diagram for ClpDisasterHandler:
[legend]

## Public Member Functions

Virtual methods that the derived classe should provide.
virtual void | intoSimplex ()=0
| Into simplex.
virtual bool | check () const =0
| Checks if disaster.
virtual void | saveInfo ()=0
| saves information for next attempt
virtual int | typeOfDisaster ()
| Type of disaster 0 can fix, 1 abort.
Constructors, destructor
| ClpDisasterHandler (ClpSimplex *model=NULL)
| Default constructor.
virtual | ~ClpDisasterHandler ()
| Destructor.
| ClpDisasterHandler (const ClpDisasterHandler &)
ClpDisasterHandler & | operator= (const ClpDisasterHandler &)
virtual ClpDisasterHandler * | clone () const =0
| Clone.
Sets/gets
void | setSimplex (ClpSimplex *model)
| set model.
ClpSimplex * | simplex () const
| Get model.

## Protected Attributes

Data members
The data members are protected to allow access for derived classes.
ClpSimplex * | model_
| Pointer to simplex.

## Detailed Description

Base class for Clp disaster handling.

This is here to allow for disaster handling. By disaster I mean that Clp would otherwise give up

Definition at line 138 of file ClpEventHandler.hpp.

## Constructor & Destructor Documentation

## ClpDisasterHandler() [1/2]

ClpDisasterHandler::ClpDisasterHandler | ( | ClpSimplex * | model = NULL | ) |

Default constructor.

## ~ClpDisasterHandler()

virtual ClpDisasterHandler::~ClpDisasterHandler | ( |  | ) |

virtual

Destructor.

## ClpDisasterHandler() [2/2]

ClpDisasterHandler::ClpDisasterHandler | ( | const ClpDisasterHandler & |  | ) |

## Member Function Documentation

## intoSimplex()

virtual void ClpDisasterHandler::intoSimplex | ( |  | ) |

pure virtual

Into simplex.

Implemented in OsiClpDisasterHandler.

## check()

virtual bool ClpDisasterHandler::check | ( |  | ) | const

pure virtual

Checks if disaster.

Implemented in OsiClpDisasterHandler.

## saveInfo()

virtual void ClpDisasterHandler::saveInfo | ( |  | ) |

pure virtual

saves information for next attempt

Implemented in OsiClpDisasterHandler.

## typeOfDisaster()

virtual int ClpDisasterHandler::typeOfDisaster | ( |  | ) |

virtual

Type of disaster 0 can fix, 1 abort.

Reimplemented in OsiClpDisasterHandler.

## operator=()

ClpDisasterHandler & ClpDisasterHandler::operator= | ( | const ClpDisasterHandler & |  | ) |

## clone()

virtual ClpDisasterHandler * ClpDisasterHandler::clone | ( |  | ) | const

pure virtual

Clone.

Implemented in OsiClpDisasterHandler.

## setSimplex()

void ClpDisasterHandler::setSimplex | ( | ClpSimplex * | model | ) |

set model.

## simplex()

ClpSimplex * ClpDisasterHandler::simplex | ( |  | ) | const

inline

Get model.

Definition at line 176 of file ClpEventHandler.hpp.

## Member Data Documentation

## model_

ClpSimplex* ClpDisasterHandler::model_

protected

Pointer to simplex.

Definition at line 187 of file ClpEventHandler.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpEventHandler.hpp